Description

It would be nice if the fallback charset and "send messages in" charset could be set up per buffer.
For example, on #debian-russian the charset is KOI8-R, although everywhere else on freenode its UTF-8.

(This also could be a bug report in the mental institution, where the guys from Debian-russian belong, but that's another question).

History

#1 - 01/11/2009 12:01 PM - Sputnick

- Status changed from New to Confirmed

This is already possible in-code (i.e., Quassel's encoding mechanisms already support per-channel and even per-nick encodings), but we lack a
config Ul for this. We'd need a way to specify this (and possibly other) per-buffer setting(s) without confusing users too much.

#2 - 03/21/2009 03:21 PM - salyavin

| just thought | would mention | need per channel encoding as well.

#3 - 05/31/2021 10:10 AM - Erus_lluvatar

Sorry if this is like a "necrobump", but I've discovered this IRC client recently.

| was looking into setting encoding per channel (using a french server which uses UTF-8 on the main channels, but ISO-8859-15 on some others), but
it looks like this feature request never got much traction.

If the only blocker is the Ul, maybe it could be "hidden" behind a command like the channel list is behind /list ?
